Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.cdo.internal.core
Class CDOProjectData

    java.lang.Object
      org.eclipse.emf.ecp.cdo.internal.core.CDOProjectData

    public final class CDOProjectData

extends Object

Represents the data of an ECP project.

Author:
  Eike Stepper

Constructor Summary
`CDOProjectData(InternalProject project)` Default constructor.

Method Summary
`org.eclipse.emf.cdo.workspace.CDOWorkspace` | `checkoutWorkspace()` Check out the `CDOWorkspace` of the project.
`void` | `dispose()` Dispose all resources of the project data.
`InternalProject` | `getProject()` Returns the project.
`org.eclipse.emf.cdo.eresource.CDOResource` | `getRootResource()` Get the root resource of the `CDOTransaction`, @see `CDOView.getRootResource()`.
`org.eclipse.emf.cdo.transaction.CDOTransaction` | `getTransaction()` Get the a transaction fot the project.
`org.eclipse.emf.cdo.workspace.CDOWorkspace` | `getWorkspace()` Returns the `CDOWorkspace` of the project.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOProjectData

    public CDOProjectData(InternalProject project)

  Default constructor.

  Parameters:
    `project` - the project

Method Detail

### getProject

    public InternalProject getProject()

  Returns the project.

  Returns:
    the project

### getWorkspace

    public org.eclipse.emf.cdo.workspace.CDOWorkspace getWorkspace()

  Returns the `CDOWorkspace` of the project.

  Returns:
    the `CDOWorkspace`

### checkoutWorkspace

    public org.eclipse.emf.cdo.workspace.CDOWorkspace checkoutWorkspace()

  Check out the `CDOWorkspace` of the project.

  Returns:
    the `CDOWorkspace`

### getTransaction

    public org.eclipse.emf.cdo.transaction.CDOTransaction getTransaction()

  Get the a transaction fot the project.

  Returns:
    the `CDOTransaction`

### getRootResource

    public org.eclipse.emf.cdo.eresource.CDOResource getRootResource()

  Get the root resource of the `CDOTransaction`, @see `CDOView.getRootResource()`.

  Returns:
    the `CDOResource`

### dispose

    public void dispose()

  Dispose all resources of the project data.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.